SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000733SiT!setup/configpublic2009-06-16 12:182010-04-10 20:23
Reporterkieran 
Assigned Toivan 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0000733: ldate() doesn't work with BST
DescriptionIt can be solved with the 'L' switch of date()
Additional InformationExample code taken from http://uk2.php.net/manual/en/function.date.php#69167: [^]
function zonedate($layout, $countryzone, $daylightsaving)
{
  if ($daylightsaving) {
    $daylight_saving = date('I');
    if ($daylight_saving){
      $zone=3600*($countryzone+1);
    }
  }
else {
  if ($countryzone>>0){
    $zone=3600*$countryzone;
  }
  else {
    $zone=0;
  }
}
$date=gmdate($layout, time() + $zone);
return $date;
}
TagsNo tags attached.
Attached Files

- Relationships
related to 0000629resolvedivan var_utc_offset ignores DST 

-  Notes
User avatar (0001350)
ivan (administrator)
2009-07-20 14:24

Going to bump this because I think it needs more thought, I don't want to rush into half a solution for the 3.50 release.

The current work-around is the change the users UTC offset when DST changes locally. E.g. in the UK which is effectively UTC timezone, summertime setting should be UTC+1 and wintertime setting UTC+0.
User avatar (0002881)
ivan (administrator)
2010-03-27 15:33

This should be fixed by 3.60 which makes ldate() DST aware. Can anybody confirm?
User avatar (0003004)
ivan (administrator)
2010-04-10 20:05

Marking resolved until somebody tells me otherwise. Seems ok to me.

- Issue History
Date Modified Username Field Change
2009-06-16 12:18 kieran New Issue
2009-06-16 13:57 ivan Status new => confirmed
2009-06-16 14:11 ivan Status confirmed => assigned
2009-06-16 14:11 ivan Assigned To => ivan
2009-06-16 17:50 ivan Relationship added related to 0000629
2009-07-20 14:24 ivan Note Added: 0001350
2009-07-20 14:24 ivan Target Version 3.50 => 3.60
2009-08-21 14:38 kieran Target Version 3.60 => 4.0
2010-03-27 15:33 ivan Note Added: 0002881
2010-03-27 15:33 ivan Assigned To ivan => kieran
2010-03-27 15:33 ivan Status assigned => feedback
2010-04-10 20:04 ivan Status feedback => assigned
2010-04-10 20:04 ivan Assigned To kieran => ivan
2010-04-10 20:05 ivan Note Added: 0003004
2010-04-10 20:05 ivan Status assigned => resolved
2010-04-10 20:05 ivan Fixed in Version => 3.60 LTS
2010-04-10 20:05 ivan Resolution open => fixed
2010-04-10 20:23 ivan Target Version 4.0 => 3.61 LTS
2010-04-10 20:23 ivan Target Version 3.61 LTS => 3.60 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker